# MavenPomRelocation

API Documentation: | `MavenPomRelocation`

Note: This class is incubating and may change in a future version of Gradle.

The relocation information of a Maven publication that has been moved to a new group and/or artifact ID.

### Properties

Property | Description
`artifactId` | Incubating The new artifact ID of the artifact.
`groupId` | Incubating The new group ID of the artifact.
`message` | Incubating The message to show the user for this relocation.
`version` | Incubating The new version of the artifact.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### ``Property`<`String`>` `artifactId` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The new artifact ID of the artifact.

#### ``Property`<`String`>` `groupId` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The new group ID of the artifact.

#### ``Property`<`String`>` `message` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The message to show the user for this relocation.

#### ``Property`<`String`>` `version` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The new version of the artifact.